Bug 239598 - graphics/mupdf: Update to 1.16.0
Summary: graphics/mupdf: Update to 1.16.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://mupdf.com/release_history.html
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 239815
  Show dependency treegraph
 
Reported: 2019-08-02 12:13 UTC by Zsolt Udvari
Modified: 2019-08-14 13:35 UTC (History)
3 users (show)

See Also:


Attachments
patch (1.72 KB, patch)
2019-08-02 12:13 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
mupdf-1.16-and-fix-for-zathura-pdf-mupdf.patch (3.52 KB, patch)
2019-08-06 08:35 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2019-08-02 12:13:04 UTC
Created attachment 206222 [details]
patch

Simple update to 1.16.0

Changelog: http://git.ghostscript.com/?p=mupdf.git;a=blob_plain;f=CHANGES;hb=HEAD
Comment 1 Kai Knoblich freebsd_committer 2019-08-06 08:35:48 UTC
Created attachment 206301 [details]
mupdf-1.16-and-fix-for-zathura-pdf-mupdf.patch

Hi Zsolt,

thank you for the patch. It builds fine but will break the build of graphics/zathura-pdf-mupdf that depends on graphics/mupdf.

Attached is an updated patch which also fixes the build for graphics/zathura-pdf-mupdf. It was obtained from upstream (retrievable in the "see also" section).

Can you please take a look if the patch is ok for you and give me then a short feedback about it?
Comment 2 Zsolt Udvari 2019-08-06 10:07:16 UTC
(In reply to Kai Knoblich from comment #1)
Thanks for your work!
I wanted to check zathura too but the pwmt.org didn't work.

I think we can wait some days (or a week) with commit of mupdf update - as I see the zathura-pdf-mupdf plugin will update short time after mupdf new release.
What do you think?
Comment 3 Kai Knoblich freebsd_committer 2019-08-06 12:28:02 UTC
(In reply to Zsolt Udvari from comment #2)

No problem, there's no rush and we can wait until an official update of graphics/zathura-pdf-mupdf is out. :)
Comment 4 Wen Heping freebsd_committer 2019-08-08 08:36:34 UTC
mupdf-1.16.1 released.
Comment 5 Zsolt Udvari 2019-08-08 08:40:39 UTC
(In reply to Wen Heping from comment #4)
Thanks, I saw it, but:
"The 1.16.1 release fixes a build issue with Android. It is not necessary to upgrade unless you run into compile errors trying to build for Android."
https://mupdf.com/release_history.html
Comment 6 Wen Heping freebsd_committer 2019-08-08 08:45:04 UTC
(In reply to Zsolt Udvari from comment #5)
Sorry I did not read the release note carefully :)
Comment 7 commit-hook freebsd_committer 2019-08-14 13:32:18 UTC
A commit references this bug:

Author: kai
Date: Wed Aug 14 13:31:44 UTC 2019
New revision: 508916
URL: https://svnweb.freebsd.org/changeset/ports/508916

Log:
  graphics/mudpf, graphics/zathura-pdf-mudpf: Update to 1.16.0 and 0.3.5

  * Update both ports as mupdf 1.16.0 would break zathura-pdf-mupdf <= 0.3.4
    and vice versa.

  * zathura-pdf-mupdf: Change secondary entry of MASTER_SITES to maintainer's
    site as the previous one was provided by madpilot@ as an interim solution
    some time ago to cope with unreachability issues of pwmt.org. [1]

  Notable changes for mudpf:

  * api: Major overhaul of color management architecture.
  * api: Improved functions to verify/sign PDF documents.
  * epub: Changed default page size to A5.
  * epub: New Noto fonts covering more unicode scripts.
  * pdf: Add Redact annotation type and function to apply redactions.
  * pdf: Add/remove/change encryption and password when saving PDF files.

  https://mupdf.com/release_history.html

  Changelog for zathura-pdf-mudpf:

  * Adapted to MuPDF >= 1.16.x
  * Use SPDX license identifiers

  PR:		239598, 239815 [1]
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer)

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/pkg-plist
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-mupdf/distinfo
Comment 8 Kai Knoblich freebsd_committer 2019-08-14 13:35:32 UTC
Committed, thank you for the patch!